Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.amf.adata
Interface DataPoint

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  DataPointImpl

    public interface DataPoint

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Point'.

The following features are supported:

- `Period`
- `Value`
- `Measurement`

See Also:
  `DataPackage.getDataPoint()`

Method Summary
`Measurement` | `getMeasurement()` Returns the value of the 'Measurement' container reference.
`long` | `getPeriod()` Returns the value of the 'Period' attribute.
`double` | `getValue()` Returns the value of the 'Value' attribute.
`void` | `setMeasurement(Measurement value)` Sets the value of the '`Measurement`' container reference.
`void` | `setPeriod(long value)` Sets the value of the '`Period`' attribute.
`void` | `setValue(double value)` Sets the value of the '`Value`' attribute.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getPeriod

    long getPeriod()

  Returns the value of the 'Period' attribute.

  If the meaning of the 'Period' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Period' attribute.
  See Also:
    `setPeriod(long)`, `DataPackage.getDataPoint_Period()`

### setPeriod

    void setPeriod(long value)

  Sets the value of the '`Period`' attribute.

  Parameters:
    `value` - the new value of the 'Period' attribute.
  See Also:
    `getPeriod()`

### getValue

    double getValue()

  Returns the value of the 'Value' attribute.

  If the meaning of the 'Value' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Value' attribute.
  See Also:
    `setValue(double)`, `DataPackage.getDataPoint_Value()`

### setValue

    void setValue(double value)

  Sets the value of the '`Value`' attribute.

  Parameters:
    `value` - the new value of the 'Value' attribute.
  See Also:
    `getValue()`

### getMeasurement

    Measurement getMeasurement()

  Returns the value of the 'Measurement' container reference. It is bidirectional and its opposite is '`Entries`'.

  If the meaning of the 'Measurement' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Measurement' container reference.
  See Also:
    `setMeasurement(Measurement)`, `DataPackage.getDataPoint_Measurement()`, `Measurement.getEntries()`

### setMeasurement

    void setMeasurement(Measurement value)

  Sets the value of the '`Measurement`' container reference.

  Parameters:
    `value` - the new value of the 'Measurement' container reference.
  See Also:
    `getMeasurement()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD